---

#! jobs/kernel-selftests-net.yaml
suite: kernel-selftests-bpf
testcase: kernel-selftests-bpf
category: functional
kernel-selftests-bpf:
  group: net
job_origin: kernel-selftests-net.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-csl-d01
tbox_group: lkp-csl-d01
job_file: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-bpf-net-debian-12-x86_64-20240206.cgz-ee141889828a-20240815-21466-1le5tfd-0.yaml"
id: 51c4642b2e40ce9b1b333af09705904dccf422d1
queuer_version: "/zday/lkp"

#! /db/releases/20240728141853/lkp-src/hosts/lkp-csl-d01
model: Cascade Lake
nr_node: 1
nr_cpu: 36
memory: 32G
nr_ssd_partitions: 1
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part4"
brand: Intel(R) Core(TM) i9-10980XE CPU @ 3.00GHz

#! /db/releases/20240728141853/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /db/releases/20240728141853/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20240728141853/lkp-src/include/queue/cyclic
commit: ee141889828a13aa804849ebda6af39d6a8ebf87

#! /db/releases/20240728141853/lkp-src/include/testbox/lkp-csl-d01
netconsole_port: 6685
ucode: '0x5003604'

#! /db/releases/20240728141853/lkp-src/include/kernel-selftests-bpf
need_kconfig:
- RUNTIME_TESTING_MENU: y
- AMT: m
- BAREUDP: m
- BONDING: m
- BPF_SYSCALL: y
- BRIDGE_VLAN_FILTERING: y
- BRIDGE
- CRYPTO_ARIA: y
- CRYPTO_CHACHA20POLY1305: m
- CRYPTO_SM4_GENERIC: y
- DUMMY
- GENEVE
- IFB
- INET_DIAG
- INET_ESP_OFFLOAD
- INET_ESP
- IP6_NF_IPTABLES: m
- IP6_NF_NAT: m
- IP6_NF_RAW: m
- IP_DCCP
- IP_NF_IPTABLES: m
- IP_NF_NAT: m
- IP_NF_RAW: m
- IP_NF_TARGET_TTL: m
- IP_SCTP: m
- IPV6_GRE
- IPV6_IOAM6_LWTUNNEL: y
- IPV6_MROUTE: y
- IPV6_MULTIPLE_TABLES: y
- IPV6_SEG6_LWTUNNEL: y
- IPV6_SIT
- IPV6_VTI
- IPV6: y
- KALLSYMS: y
- L2TP_ETH: m
- L2TP_IP: m
- L2TP: m
- L2TP_V3: y
- MACSEC
- MACVLAN
- MACVTAP
- MPLS_IPTUNNEL: m
- MPLS_ROUTING: m
- MPLS: y
- MPTCP: y
- NET_ACT_CSUM: m
- NET_ACT_CT: m
- NET_ACT_GACT: m
- NET_ACT_MIRRED: m
- NET_ACT_PEDIT: m
- NET_ACT_TUNNEL_KEY: m
- NET_CLS_BASIC: m
- NET_CLS_BPF: m
- NET_CLS_FLOWER: m
- NET_CLS_MATCHALL: m
- NET_CLS_U32: m
- NETDEVSIM: m
- NET_DROP_MONITOR
- NETFILTER_ADVANCED: y
- NETFILTER_XT_MATCH_LENGTH: m
- NETFILTER_XT_MATCH_POLICY: m
- NETFILTER: y
- NET_FOU_IP_TUNNELS: y
- NET_FOU
- NET_IPGRE_DEMUX: m
- NET_IPGRE: m
- NET_IPIP
- NET_IPVTI
- NET_L3_MASTER_DEV: y
- NET_NS: y
- NET_SCH_ETF: m
- NET_SCH_FQ_CODEL: m
- NET_SCH_FQ: m
- NET_SCH_HTB: m
- NET_SCH_INGRESS
- NET_SCH_NETEM
- NET_SCH_PRIO: m
- NET_VRF
- NF_CONNTRACK: m
- NF_FLOW_TABLE: m
- NF_NAT: m
- NF_TABLES_IPV4: y
- NF_TABLES_IPV6: y
- NF_TABLES: m
- NFT_COMPAT: m
- NFT_NAT: m
- NUMA: y
- PROC_SYSCTL: y
- PSAMPLE: m
- RPS: y
- SYSFS: y
- TCP_MD5SIG: y
- TEST_BLACKHOLE_DEV: m
- TEST_BPF: m
- TLS: m
- TRACEPOINTS: y
- TUN
- USER_NS: y
- VETH
- VLAN_8021Q
- VXLAN: m
- XFRM_INTERFACE: m
- XFRM_USER
initrds:
- linux_headers
- linux_selftests
kconfig: x86_64-rhel-8.3-bpf
enqueue_time: 2024-08-15 11:28:30.682589843 +08:00
_rt: "/result/kernel-selftests-bpf/net/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-bpf/gcc-12/ee141889828a13aa804849ebda6af39d6a8ebf87"
compiler: gcc-12
head_commit: 889f98e089cecdc73fde6ebe954f1ba92994cdba
base_commit: 7c626ce4bae1ac14f60076d00eafe71af30450ba
branch: linux-devel/devel-hourly-20240812-144716
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20240808-144501"
arch: x86_64
max_uptime: 1200
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests-bpf/net/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-bpf/gcc-12/ee141889828a13aa804849ebda6af39d6a8ebf87/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-bpf/gcc-12/ee141889828a13aa804849ebda6af39d6a8ebf87/vmlinuz-6.11.0-rc1-00254-gee141889828a
- branch=linux-devel/devel-hourly-20240812-144716
- job=/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-bpf-net-debian-12-x86_64-20240206.cgz-ee141889828a-20240815-21466-1le5tfd-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-bpf
- commit=ee141889828a13aa804849ebda6af39d6a8ebf87
- intremap=posted_msi
- max_uptime=1200
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-12/ee141889828a13aa804849ebda6af39d6a8ebf87/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-12/ee141889828a13aa804849ebda6af39d6a8ebf87/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-12/ee141889828a13aa804849ebda6af39d6a8ebf87/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20240508.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-977d51cf-1_20240508.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20240813114533/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-bpf-net-debian-12-x86_64-20240206.cgz-ee141889828a-20240815-21466-1le5tfd-0.cgz"
last_kernel: 5.13.0-rc1

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-8.3-bpf/gcc-12/ee141889828a13aa804849ebda6af39d6a8ebf87/vmlinuz-6.11.0-rc1-00254-gee141889828a"
result_root: "/result/kernel-selftests-bpf/net/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-bpf/gcc-12/ee141889828a13aa804849ebda6af39d6a8ebf87/0"
dequeue_time: 2024-08-15 12:30:39.765373110 +08:00
job_state: soft_timeout
loadavg: 0.30 0.42 0.44 1/542 126535
start_time: '1723696305'
end_time: '1723697509'
version: "/lkp/lkp/.src-20240808-144501:e35bd1203041:826807ed2b16"
